Page MenuHomePhabricator

Document new addHelpLink() in 1.25
Closed, ResolvedPublic

Description

Gerrit 157497 added addHelpLink() feature. It could be documented better.

  • It's not mentioned in RELEASE-NOTES-1.25 (the underlying indicator facility is).
  • Its doxgen help doesn't document the parameters or mention the hardcoded //www.mediawiki.org/wiki/Special:MyLanguage/ URL path.
  • The BoilerPlate extension's SpecialHelloWorld.php should show this working.
  • It's not mentioned on mediawiki.org pages such as writing an extension, Category:Extension help, Project:PD Help, etc. (I'll work on this bit.)

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 1:34 AM
Spage updated the task description. (Show Details)
Spage set Security to None.
Nemo_bis added a project: Patch-For-Review.

I was already working on documentation as part of the parent task: https://gerrit.wikimedia.org/r/208378

Nemo_bis removed Nemo_bis as the assignee of this task.May 8 2015, 7:47 PM
Nemo_bis added a subscriber: Nemo_bis.

Ic849dde00be7379c1909a8486cf20f48c5aea5cf / 36801c9e907b3a880b0060ff330ede492c7d36e3 does all this, someone else can continue.

I've never touched the extension example but I added https://www.mediawiki.org/w/index.php?title=Manual%3ASpecial_pages&type=revision&diff=1645623&oldid=1557945

greg triaged this task as Normal priority.May 13 2015, 7:14 PM

Change 212906 had a related patch set uploaded (by Microchip08):
add an addHelpLink() example

https://gerrit.wikimedia.org/r/212906

Change 212906 merged by jenkins-bot:
add an addHelpLink() example

https://gerrit.wikimedia.org/r/212906

Legoktm updated the task description. (Show Details)May 23 2015, 1:42 PM
MC8 claimed this task.May 23 2015, 1:43 PM
MC8 updated the task description. (Show Details)
MC8 added a comment.May 23 2015, 2:01 PM

The Doxygen information seems sufficient as it is. I've added the documentation to a couple of places on MediaWiki.org; not sure there's anywhere else appropriate.

demon closed this task as Resolved.May 23 2015, 2:08 PM
demon updated the task description. (Show Details)
demon added a subscriber: demon.

Docs look good to me (code docs + example extension usage), plus initial docs on-wiki.

MW.org can always be cleaned up later if need be.